libebook::FB2TableContext Class Reference documentation

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libebook::FB2TableContext Class Reference

`#include <FB2TableContext.h>`

Inheritance diagram for libebook::FB2TableContext:

## Public Member Functions
| FB2TableContext (FB2ParserContext *parentContext, const FB2BlockFormat &format)
virtual | ~FB2TableContext ()
Public Member Functions inherited from libebook::FB2BlockFormatContextBase
| FB2BlockFormatContextBase (FB2ParserContext *parentContext, const FB2BlockFormat &format)
FB2BlockFormat & | getBlockFormat ()
const FB2BlockFormat & | getBlockFormat () const
void | setLang (const char *lang)
Public Member Functions inherited from libebook::FB2NodeContextBase
| FB2NodeContextBase (FB2ParserContext *parentContext, FB2Collector *collector=0)
Public Member Functions inherited from libebook::FB2ParserContext
| FB2ParserContext (FB2ParserContext *parentContext, FB2Collector *collector=0)
| Create a new context with `parentContext` as parent. More...
virtual FB2XMLParserContext * | leaveContext () const
| Destroy this context and return parent. More...
FB2Collector * | getCollector () const
| Get the collector. More...
FB2ParserContext * | getParentContext () const
| Get the parent context. More...
Public Member Functions inherited from libebook::FB2XMLParserContext
virtual | ~FB2XMLParserContext ()=0

## Private Member Functions
| FB2TableContext (const FB2TableContext &other)
FB2TableContext & | operator= (const FB2TableContext &other)
virtual FB2XMLParserContext * | element (const FB2TokenData &name, const FB2TokenData &ns)
| Create a context for parsing a child element. More...
virtual void | startOfElement ()
| Signalize the start of an element. More...
virtual void | endOfElement ()
| Signalize the end of an element. More...
virtual void | attribute (const FB2TokenData &name, const FB2TokenData *ns, const char *value)
| Process an attribute. More...

## Private Attributes
FB2TableModel * | m_model

## Constructor & Destructor Documentation

libebook::FB2TableContext::FB2TableContext | ( | const FB2TableContext & | other | ) |
| private

libebook::FB2TableContext::FB2TableContext | ( | FB2ParserContext * | parentContext,
|  | const FB2BlockFormat & | format
| ) |  |

libebook::FB2TableContext::~FB2TableContext | ( |  | ) |
| virtual

## Member Function Documentation

void libebook::FB2TableContext::attribute | ( | const FB2TokenData & | name,
|  | const FB2TokenData * | ns,
|  | const char * | value
| ) |  |
| privatevirtual

Process an attribute.

Attributes are handled to the current element's context one by one.

Implements libebook::FB2XMLParserContext.

FB2XMLParserContext * libebook::FB2TableContext::element | ( | const FB2TokenData & | name,
|  | const FB2TokenData & | ns
| ) |  |
| privatevirtual

Create a context for parsing a child element.

Returns
  A new context or `0` if the child element cannot be handled.

Implements libebook::FB2XMLParserContext.

void libebook::FB2TableContext::endOfElement | ( |  | ) |
| privatevirtual

Signalize the end of an element.

Implements libebook::FB2XMLParserContext.

FB2TableContext& libebook::FB2TableContext::operator= | ( | const FB2TableContext & | other | ) |
| private

void libebook::FB2TableContext::startOfElement | ( |  | ) |
| privatevirtual

Signalize the start of an element.

This can be used if initialization of the context needs virtual function calls.

Reimplemented from libebook::FB2NodeContextBase.

## Member Data Documentation

FB2TableModel* libebook::FB2TableContext::m_model
| private

Referenced by element(), and ~FB2TableContext().

The documentation for this class was generated from the following files:

- FB2TableContext.h
- FB2TableContext.cpp